﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace dropdownTextBoxApp
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            // 示例数据
            drp1Name.DropItems = new string[] 
            {
                "林红玉", "贾宝玉", "林黛玉", "秦钟", "秦可卿", "柳湘莲", "甄英莲", "邢岫烟", "邢夫人", "白金钏", "白玉钏", "薜宝钗", "薜宝琴", "薜蝌", "薜蟠", "李纹", "李绮", "贾珍", "贾琏", "贾琮", "贾蓉", "妙玉", "花袭人", "晴雯", "碧良", "金鸳鸯", "贾探春"
            };
            drpAge.DropItems = new string[] 
            {
                "25", "13", "11", "17", "16", "15", "22"
            };
            drpFav.DropItems = new string[] 
            {
                "游山玩水", "写诗", "泡妞", "读书", "画画", "扔手帕", "书法"
            };
        }

        private void drp1Name_TextChanged(object sender, RoutedEventArgs e)
        {
            if (tbName != null)
            {
                tbName.Text = drp1Name.Text;
            }
        }

        private void drpAge_TextChanged(object sender, RoutedEventArgs e)
        {
            if (tbAge != null)
            {
                tbAge.Text = drpAge.Text;
            }
        }

        private void drpFav_TextChanged(object sender, RoutedEventArgs e)
        {
            if (tbFav != null)
            {
                tbFav.Text = drpFav.Text;
            }
        }

    }
}
